<?php

class verotel_flexpaySuccessModuleFrontController extends ModuleFrontController
{

	public function postProcess()
	{
        if ( !FlexPay::validate_signature( Configuration::get('VEROTEL_FLEXPAY_SIGNATURE'), $_GET ) ){
			die($this->module->l('Invalid signature.', 'validation'));
        }

        $cart = new Cart($_GET['custom1']);
		$customer = new Customer($cart->id_customer);

		if (!Validate::isLoadedObject($customer))
			Tools::redirect('index.php?controller=order&step=1');

        $id_order = Order::getOrderByCartId($cart->id);

        if (!$id_order) {
            $this->module->mark_cart_as_error(
                $cart, floatval($_GET['priceAmount']), $_GET['priceCurrency'],
                $_GET['custom2'],
                'Cart is not approved by payment gateway. It looks like callback problem.'
            );
        }
        Tools::redirect(
            'index.php?controller=order-confirmation&id_cart='.$cart->id.
            '&id_module='.$this->module->id.'&id_order='.$id_order.
            '&key='.$customer->secure_key
        );
    }
}

include("../../FlexPay.php");
